summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2013-01-11 14:17:41 +0100
committerHolger Levsen <holger@layer-acht.org>2013-01-11 14:17:41 +0100
commitb2ac15034fc4c8cda05c452d22d5a183521ca35f (patch)
tree72816149fcb8504356aece1d6724b26b779bc30f /bin
parent242d71fe23aeef60c2ce35cf4a1c61fdbb5196aa (diff)
downloadjenkins.debian.net-b2ac15034fc4c8cda05c452d22d5a183521ca35f.tar.xz
g-i: try harder to understand why combi-server misbehaves
Diffstat (limited to 'bin')
-rwxr-xr-xbin/g-i-installation.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/bin/g-i-installation.sh b/bin/g-i-installation.sh
index afe8640e..4a487cb3 100755
--- a/bin/g-i-installation.sh
+++ b/bin/g-i-installation.sh
@@ -555,6 +555,7 @@ monitor_system() {
echo "Warning: snapshot_${PRINTF_NR}.ppm snapshot_${PRINTF_OLD}.ppm match, ending installation."
ls -la snapshot_${PRINTF_NR}.ppm snapshot_${PRINTF_OLD}.ppm
figlet "Installation hangs."
+ let NR=NR+1
break
else
# this is only reached once in rescue mode
@@ -618,7 +619,7 @@ save_logs() {
#
# get list of installed packages
#
- sudo chroot $SYSTEM_MNT dpkg -l > $RESULTS/log/dpkg-l || ( echo "Error: cannot run dpkg inside the installed system." ; ls -la $SYSTEM_MNT ; figlet "fail" )
+ sudo chroot $SYSTEM_MNT dpkg -l > $RESULTS/log/dpkg-l || ( echo "Error: cannot run dpkg inside the installed system." ; sudo ls -la $SYSTEM_MNT ; figlet "fail" )
#
# umount guests
#